Bug 18934 - Warns in Admin -> SMS providers
Summary: Warns in Admin -> SMS providers
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-13 05:16 UTC by Aleisha Amohia
Modified: 2017-07-31 12:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18934: Preventing warns in Admin -> SMS providers (961 bytes, patch)
2017-07-13 05:18 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18934: Preventing warns in Admin -> SMS providers (1.02 KB, patch)
2017-07-13 21:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-07-13 05:16:49 UTC
Use of uninitialized value $op in string eq at /home/vagrant/kohaclone/admin/sms_providers.pl line 49.
Use of uninitialized value $op in string eq at /home/vagrant/kohaclone/admin/sms_providers.pl line 62.

Triggered by going to Admin -> SMS providers
Comment 1 Aleisha Amohia 2017-07-13 05:18:17 UTC
Created attachment 65015 [details] [review]
Bug 18934: Preventing warns in Admin -> SMS providers

This patch initialises the $op variable to prevent the warns

To test:
1) Go to admin -> sms providers
2) Notice warns in error log
3) Apply patch and refresh page
4) Notice warns are gone

Sponsored-by: Catalyst IT
Comment 2 Jonathan Druart 2017-07-13 21:27:04 UTC
Created attachment 65034 [details] [review]
Bug 18934: Preventing warns in Admin -> SMS providers

This patch initialises the $op variable to prevent the warns

To test:
1) Go to admin -> sms providers
2) Notice warns in error log
3) Apply patch and refresh page
4) Notice warns are gone

Sponsored-by: Catalyst IT

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2017-07-13 21:27:38 UTC
Trivial, skipping QA.
Comment 4 Jonathan Druart 2017-07-13 21:44:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-07-18 13:18:06 UTC
Pushed to 17.05.x, will be in 17.05.02
Comment 6 Katrin Fischer 2017-07-19 21:16:41 UTC
This patch has been pushed to 16.11.x and will be in 16.11.10.
Comment 7 Mason James 2017-07-31 12:15:13 UTC
Pushed to 16.05.x, for 16.05.15 release